Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.expr
Class PJConverter.UnwrapExternalObject

    java.lang.Object
      net.sf.saxon.expr.PJConverter
          net.sf.saxon.expr.PJConverter.UnwrapExternalObject

All Implemented Interfaces:
  Serializable

Enclosing class:
  PJConverter

    public static class PJConverter.UnwrapExternalObject

extends PJConverter

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class net.sf.saxon.expr.PJConverter
`PJConverter.AnyURIValueToURI, PJConverter.AnyURIValueToURL, PJConverter.Atomic, PJConverter.BooleanValueToBoolean, PJConverter.CalendarValueToCalendar, PJConverter.CalendarValueToDate, PJConverter.General, PJConverter.Identity, PJConverter.IntegerValueToBigInteger, PJConverter.IntegerValueToByte, PJConverter.IntegerValueToChar, PJConverter.IntegerValueToInt, PJConverter.IntegerValueToLong, PJConverter.IntegerValueToShort, PJConverter.NumericValueToBigDecimal, PJConverter.NumericValueToDouble, PJConverter.NumericValueToFloat, PJConverter.QualifiedNameValueToQName, PJConverter.StringValueToChar, PJConverter.StringValueToString, PJConverter.ToArray, PJConverter.ToCollection, PJConverter.ToNull, PJConverter.ToSequenceExtent, PJConverter.ToSequenceIterator, PJConverter.UnwrapExternalObject`

Field Summary
`static PJConverter.UnwrapExternalObject` | `INSTANCE`

Constructor Summary
`PJConverter.UnwrapExternalObject()`

Method Summary
`String` | `compile(String var, Class targetClass, CodeGeneratorService compiler)` Generate Java code to implement the type conversion
`Object` | `convert(ValueRepresentation value, Class targetClass, XPathContext context)` Convert an XPath value to a Java value of a specified class

Methods inherited from class net.sf.saxon.expr.PJConverter
`allocate, allocateNodeListCreator, getEquivalentItemType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final PJConverter.UnwrapExternalObject INSTANCE

Constructor Detail

### PJConverter.UnwrapExternalObject

    public PJConverter.UnwrapExternalObject()

Method Detail

### convert

    public Object convert(ValueRepresentation value,
                          Class targetClass,
                          XPathContext context)
                   throws XPathException

  Description copied from class: `PJConverter`
  Convert an XPath value to a Java value of a specified class

  Specified by:
    `convert` in class `PJConverter`
  Parameters:
    `value` - the supplied XPath value
    `targetClass` - the class of the required Java value
    `context` - the XPath dynamic context
  Returns:
    the corresponding Java value, which is guaranteed to be an instance of the target class (except that an empty sequence is converted to null)
  Throws:
    `XPathException` - if the conversion is not possible or fails

### compile

    public String compile(String var,
                          Class targetClass,
                          CodeGeneratorService compiler)

  Description copied from class: `PJConverter`
  Generate Java code to implement the type conversion

  Overrides:
    `compile` in class `PJConverter`
  Parameters:
    `var` - the name of a variable whose value will be the XPath ValueRepresentation to be converted
    `targetClass` - the required class of the Java value
    `compiler` - provides supporting services by callback
  Returns:
    the text of a Java expression whose result will be a Java object/value of the required type

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.